-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseShallowHistoryPseudoState

Declaration :

- C++ : class UmlBaseShallowHistoryPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseShallowHistoryPseudoState extends UmlPseudoState

Directly inherited by : UmlShallowHistoryPseudoState

Artifact : UmlBaseShallowHistoryPseudoState

Operation create

Declaration :

- C++ : public: static UmlShallowHistoryPseudoState * create(UmlItem * parent)
- Java : public static UmlShallowHistoryPseudoState create(UmlItem parent) throws RuntimeException

returns a new shallow history pseudo state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseShallowHistoryPseudoState

Declaration :

- C++ : protected: UmlBaseShallowHistoryPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseShallowHistoryPseudoState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload